/* Header Styles */
.main-header {
  padding: 15px 0;
}

.navbar {
  padding-left: 30px !important;
  padding-right: 30px !important;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  z-index: 1000;
  display: flex;
  justify-content: space-around;
  transition: box-shadow 0.3s ease;
  background-color: #000;
}

.navbar-brand.logo {
  font-size: 32px;
  color: #c32257 ;
  text-shadow: 0 0 12px #a73f7a, 0 0 24px #4b0b38;
  font-family: 'Space Grotesk';
  font-weight: 700;
  letter-spacing: 1px;
}

.nav-menu {
  gap: 15px;
}
.nav-button {
  border-radius: 35%;
  border: -1px;
  border-color: #c32257;
  background-color: transparent;
  color: white;
  padding: 0.5rem 1.2rem;
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 50px;
  font-size: 0.85rem;
  text-align: center;
}
.nav-menu .nav-link {
  font-weight: 500;
  color: white;
  opacity: 0.7;
  font-size: 14px;
  /* font-weight: bold; */
  padding: 4px !important;
  transition: color 0.3s;
  text-decoration: none;
  transition: transform 0.3s ease, text-decoration 0.3s ease; /* transition fluide */
  display: inline-block; /* nécessaire pour que transform fonctionne */
}
.nav-button:hover {
  background-color: #c32257;
}

.nav-menu .nav-link:hover,
.nav-menu .nav-link.active {
  color: #c32257 !important;
  font-weight: bold;
}
.nav-menu .nav-link:hover {
  text-decoration: underline;
  text-shadow: 0 0 12px #d3c3cc, 0 0 24px #4b0b38;
  transform: scale(1.1); /* agrandit légèrement le texte */
}

.navbar-toggler {
  border-color: #c32257 !important;
}

.navbar-toggler:focus {
  box-shadow: 0 0 0 0.25rem rgba(255, 0, 0, 0.25) !important;
}

/* Ombre visible uniquement lors du scroll */
.navbar.scrolled {
  box-shadow: 0 2px 10px rgba(255, 255, 255, 0.2);
}
